> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monetary.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Trade Feed

> Returns the latest persisted standardized prediction market trades.

Return the latest persisted standardized trades from the standalone trade ingestion service.

```bash theme={null}
curl -sS "$MONETARY_API_BASE_URL/v1/prediction_markets/trade_feed?limit=25" \
  -H "Authorization: Bearer $MONETARY_API_TOKEN" \
  -H "Accept: application/json"
```


## OpenAPI

````yaml GET /v1/prediction_markets/trade_feed
openapi: 3.1.0
info:
  title: Monetary Public API
  description: Read-only market intelligence API for companies and prediction market data.
  version: 1.0.0
servers:
  - url: http://127.0.0.1:3003
    description: Local development
  - url: https://api.monetary.dev
    description: Production
security: []
tags:
  - name: System
    description: Service and health endpoints
  - name: Companies
    description: Company directory search and filtering
  - name: Prediction Markets
    description: Prediction market events, markets, and similarity grouping
paths:
  /v1/prediction_markets/trade_feed:
    get:
      tags:
        - Prediction Markets
      summary: List recent trades
      description: Returns the latest persisted standardized prediction market trades.
      operationId: listPredictionMarketTradeFeed
      parameters:
        - name: limit
          in: query
          description: Maximum records returned.
          schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 32
      responses:
        '200':
          description: Recent trades
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PredictionMarketTradeFeedResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    PredictionMarketTradeFeedResponse:
      type: object
      required:
        - data
        - filters
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PredictionMarketTrade'
        filters:
          $ref: '#/components/schemas/PredictionMarketTradeFeedFilters'
    PredictionMarketTrade:
      type: object
      required:
        - eventExternalId
        - id
        - marketExternalId
        - marketSlug
        - notional
        - occurredAt
        - outcome
        - outcomeIndex
        - outcomeLabel
        - price
        - provider
        - providerTradeId
        - side
        - size
        - traderExternalId
      properties:
        eventExternalId:
          type:
            - string
            - 'null'
        id:
          type: string
        marketExternalId:
          type: string
        marketSlug:
          type:
            - string
            - 'null'
        notional:
          type: number
        occurredAt:
          type: string
          format: date-time
        outcome:
          type:
            - string
            - 'null'
        outcomeIndex:
          type:
            - integer
            - 'null'
        outcomeLabel:
          type:
            - string
            - 'null'
        price:
          type: number
        provider:
          $ref: '#/components/schemas/PredictionMarketProvider'
        providerTradeId:
          type: string
        side:
          type: string
        size:
          type: number
        traderExternalId:
          type:
            - string
            - 'null'
    PredictionMarketTradeFeedFilters:
      type: object
      required:
        - limit
      properties:
        limit:
          type: integer
          minimum: 1
          maximum: 500
    ErrorResponse:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
          examples:
            - BadRequest
            - Unauthorized
            - InternalServerError
        message:
          type: string
    PredictionMarketProvider:
      type: string
      enum:
        - kalshi
        - polymarket
  responses:
    BadRequest:
      description: Invalid request parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            invalidLimit:
              value:
                error: BadRequest
                message: limit must be an integer between 1 and 500
            invalidExpand:
              value:
                error: BadRequest
                message: expand must be 'markets'
    Unauthorized:
      description: Missing or invalid API token
      headers:
        Cache-Control:
          description: Unauthorized responses are never cached.
          schema:
            type: string
          example: no-store
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missingBearerToken:
              value:
                error: Unauthorized
                message: 'Expected Authorization: Bearer <token>'
            invalidToken:
              value:
                error: Unauthorized
                message: Invalid API token
    InternalServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            default:
              value:
                error: InternalServerError
                message: Unexpected error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key token

````